<nz-alert *ngIf="electionVoteDay" 
          [routerLink]="['/elections/vote']" 
          nzType="info" 
          nzMessage="{{ 'Common.todayVoteDay' | translate: { electionVoteDay: getElectionTypeTranslation() } }}"  
          nzShowIcon>
</nz-alert>
<div nz-row nzGutter="8" style="margin-top: 10px">
  <div nz-col nzXs="24" nzSm="24" nzMd="24" nzLg="12">
    <!-- ARTICLES -->
    <nz-card [nzTitle]="Articles" [nzExtra]="allArticleTmpl" nzSize="small" nzHoverable style="margin-bottom: 8px">
      <ng-template #Articles>
        <img src="../../../assets/img/icons/business.png" height="20px">
        {{ 'Citizen.Newspaper.Articles' | translate }}
      </ng-template>
      <ng-template #allArticleTmpl>
        <button nz-button nzSize="small" nzType="primary" nzShape="round" [routerLink]="['/articles']">
          {{ 'Common.Buttons.ViewAll' | translate }}
        </button>
      </ng-template>

      <app-article-list [showHeader]="false" [pageSize]="5"></app-article-list>
    </nz-card>

    <!-- EVENTS -->
    <nz-card [nzTitle]="events"  nzSize="small" nzHoverable>
      <ng-template #events>
        <img src="../../../assets/img/icons/event.png" height="20px">
        {{ 'Home.latestEvents' | translate }}
      </ng-template>
      <!-- <ng-template #allEventsTmpl style="margin-bottom: 8px">
        <button nz-button nzSize="small" nzType="primary" nzShape="round" [routerLink]="['/events']">
          {{ 'Common.Buttons.ViewAll' | translate }}
        </button>
      </ng-template> -->

      <app-dashboard-events></app-dashboard-events>
    </nz-card>
  </div>

  <div nz-col nzXs="24" nzSm="24" nzMd="24" nzLg="12">
    <nz-card *ngIf="orders" nzSize="small" nzTitle="{{ 'Common.armyOrder' | translate }}" style="margin-bottom: 5px">
      {{ "Military.Army.YourArmyOrders" | translate }}: {{ orders?.content }}
    </nz-card>

    <nz-card [nzTitle]="titleBattles" [nzExtra]="allBattlesTmpl" nzSize="small" nzHoverable style="margin-bottom: 8px">
      <ng-template #titleBattles>
        <img src="../../../assets/img/icons/swords.png" height="20px">
        {{'Military.Battles.Title' | translate}}
      </ng-template>
      <ng-template #allBattlesTmpl>
        <button nz-button nzSize="small" nzType="primary" nzShape="round" [routerLink]="['/battles/active']">
          {{ 'Common.Buttons.ViewAll' | translate }}
        </button>
      </ng-template>

      <nz-alert nzType="info" *ngIf="activeBattles && activeBattles.length === 0"
        [nzMessage]="'Military.Wars.NoBattles' | translate"></nz-alert>

      <div nz-row nzGutter="6">
        <div nz-col nzXs="24" nzSm="24" nzXXl="24" *ngFor="let battle of activeBattles">
          <nz-card nzSize="small" [nzTitle]="currentBattleTitle" style="margin-bottom: 6px;"
             nzHoverable>
            <div nz-row style="text-align: center">
              <div nz-col nzSpan="10">
                <a [routerLink]="['/country', battle?.attackerCountry?.id]">
                  <img class="country-flag" src="{{ battle?.attackerCountry?.flagLocation }}" />
                </a>
              </div>
              <div nz-col nzSpan="4" style="text-align: center; padding-top: 15px">
                {{ "Military.Battles.Vs" | translate }}
                <br>
                <span id="battle-list-timer">
                  <nz-countdown *ngIf="battle" [nzValue]="battle.endDateTime"></nz-countdown>
                </span>
              </div>
              <div nz-col nzSpan="10">
                <a [routerLink]="['/country', battle?.defenderCountry?.id]">
                  <img class="country-flag" src="{{ battle?.defenderCountry?.flagLocation }}" />
                </a>
              </div>
            </div>

            <div nz-row style="text-align: center">
              <div nz-col nzSpan="10">
                <a [routerLink]="['/country', battle?.attackerCountry?.id]">
                  {{ battle?.attackerCountry?.name | translate }}
                </a>
              </div>
              <div nz-col nzSpan="4"></div>
              <div nz-col nzSpan="10">
                <a [routerLink]="['/country', battle?.defenderCountry?.id]">
                  {{ battle?.defenderCountry?.name | translate }}
                </a>
              </div>
            </div>

            <div nz-row style="margin-top: 5px">
              <div nz-col nzSpan="12">
                <nz-tag [nzColor]="battle?.wallSize < 0 ? 'red' : 'green'">{{ "Military.Battles.Wall" | translate }}: {{
                  battle?.wallSize }}/{{
                  battle?.startingWallSize
                  }}</nz-tag>
              </div>
              <div nz-col nzSpan="12" style="text-align: center">
                <a href="" [routerLink]="['/battle', battle?.id]">
                  <button nz-button nzSize="small" nzType="primary" style="float: right" nzShape="round">
                    {{ "Common.Buttons.View" | translate }}
                  </button>
                </a>
              </div>
            </div>

            <ng-template #currentBattleTitle>
              {{ "Military.Battles.BattleForRegion" | translate }}
              <a [routerLink]="['/region', battle.region.id]">
                {{ battle.region.name }}
              </a>
            </ng-template>
            <!-- <ng-template #currentBattleExtra>
              <span id="battle-list-timer">
                <nz-countdown *ngIf="battle" [nzValue]="battle.endDateTime"></nz-countdown>
              </span>
            </ng-template> -->
          </nz-card>
        </div>
      </div>
    </nz-card>
  </div>
</div>

<div style="margin-top: 8px">
  <app-map-selector *ngIf="currentRegion" mapHeight="600px" circleRadius="2" [currentRegionSelected]="currentRegion"
    [showRegionDetails]="true">
  </app-map-selector>
</div>
